#!/usr/bin/make -f
#! -*- coding:utf-8; mode:makefile-automake; -*-

presentation_src = \
  tgi-tut.cls \
  titlepicture-copyright.tex

nodist_presentation_src =

presentation_pics = \
  titlepicture.jpg

# Files that should be removed immediately after TeX was run.
presentation_spill =

CLEANFILES += \
  ${presentation_spill} \
  presentation.aux \
  presentation.log \
  presentation.out \
  presentation.pdf

EXTRA_DIST += \
  ${presentation_pics} \
  ${presentation_src} \
  presentation.tex


presentation.pdf: presentation.tex \
  ${presentation_src} \
  ${nodist_presentation_src} \
  ${presentation_pics}
if HAVE_TEX
	${AM_V_at}${tex_recipe}
	${AM_V_at}test -z '${presentation_spill}' || rm -f ${presentation_spill}
else
	@${auxdir}/fail-missing.sh xelatex TEX; exit 1
endif  # HAVE_TEX
